/*
 * jEdit editor settings:
 * :mode=java:tabSize=4:indentSize=4:noTabs=true:maxLineLen=0:
 *
 * JIndexChange.java - JIndex changed message
 * Copyright (C) 2000 Dirk Moebius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package jindex;

import org.gjt.sp.jedit.EBComponent;
import org.gjt.sp.jedit.EBMessage;

/**
 * Message sent when the jindex has changed.
 * @author Dirk Moebius
 */
public class JIndexChange extends EBMessage.NonVetoable {
    /**
     * Creates a new jindex changed message.
     * @param source The message source
     * @param jindex The new JIndex
     */
    public JIndexChange(EBComponent source, JIndex jindex) {
        super(source);
        this.jindex = jindex;
    }

    public JIndex getJIndex() {
        return jindex;
    }

    private JIndex jindex;
}
